List Queue Workers
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/task-queues/{queue_name}/workers \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/task-queues/{queue_name}/workers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/task-queues/{queue_name}/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"organization_id": "<string>",
"task_queue_name": "<string>",
"worker_id": "<string>",
"hostname": "<string>",
"worker_metadata": {},
"last_heartbeat": "<string>",
"status": "<string>",
"tasks_processed": 123,
"current_task_id": "<string>",
"registered_at": "<string>",
"updated_at": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
List Queue Workers
List all workers for a specific queue.
NOTE: This endpoint is deprecated. Workers are now organized by worker_queues. Use GET /environments//worker-queues and worker_queues endpoints instead.
GET
/
api
/
v1
/
task-queues
/
{queue_name}
/
workers
List Queue Workers
Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Response
Successful Response
Was this page helpful?
⌘I